"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs_1 = tslib_1.__importDefault(require("fs"));
const path_1 = tslib_1.__importDefault(require("path"));
const shelljs_1 = require("shelljs");
const defaultPaths_1 = require("../../config/defaultPaths");
const commandsToRun = ['clean', 'configure', 'content', 'create', 'remotion'];
const hook = async function (opts) {
    if (!commandsToRun.includes(opts.id || ''))
        return;
    const tmpSymlinkPath = path_1.default.resolve(__dirname, '..', '..', '..', 'video', 'tmp');
    if (!fs_1.default.existsSync(tmpSymlinkPath)) {
        shelljs_1.ln('-sf', await defaultPaths_1.getPath('tmp'), tmpSymlinkPath);
    }
};
exports.default = hook;
